﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication358
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DisplayLayout.Bands[1].Columns[0].CellActivation = Activation.NoEdit;
        }

        private void ultraGrid1_BeforeRowDeactivate(object sender, CancelEventArgs e)
        {
            e.Cancel = true;
        }

        Boolean value;
        private void ultraGrid1_ClickCell(object sender, ClickCellEventArgs e)
        {
            if (e.Cell.Column.DataType == typeof(Boolean))
            {
                ultraGrid1.DisplayLayout.Bands[1].Columns[0].CellActivation = Activation.NoEdit;
                value = (Boolean)e.Cell.Value;
                e.Cell.Value = !value;
                ultraGrid1.DisplayLayout.Bands[1].Columns[0].CellActivation = Activation.AllowEdit;
            }
            else
            {
                ultraGrid1.BeforeRowDeactivate -= new CancelEventHandler(ultraGrid1_BeforeRowDeactivate);
                e.Cell.Activate();
                ultraGrid1.PerformAction(UltraGridAction.EnterEditMode);
                ultraGrid1.BeforeRowDeactivate += new CancelEventHandler(ultraGrid1_BeforeRowDeactivate);
            }
        }
    }
}
